
Redmine - Patch #32444

Add missing fixture to Redmine::WikiFormatting::MacrosTest

2019-11-11 03:35 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

Redmine::WikiFormatting::MacrosTest#test_issue_macro_should_render_link_to_issue has failed.

$ RAILS_ENV=test bundle exec rake db:migrate:reset

$ RAILS_ENV=test bundle exec rake test TEST=test/unit/lib/redmine/wiki_formatting/macros_test.rb

Run options: --seed 63852

# Running:

....................F

Failure:

Redmine::WikiFormatting::MacrosTest#test_issue_macro_should_render_link_to_issue [test/unit/lib/re

dmine/wiki_formatting/macros_test.rb:414]:

--- expected

+++ actual

@@ -1 +1 @@

-"<p><a class=\"issue tracker-1 status-1 priority-4 priority-lowest\" href=\"/issues/1\">Bug #1</a

>: Cannot print recipes</p>" 

+"<p><a class=\"issue tracker-1 status-1 \" href=\"/issues/1\">Bug #1</a>: Cannot print recipes</p

>" 

bin/rails test test/unit/lib/redmine/wiki_formatting/macros_test.rb:412

........................

Finished in 1.200809s, 37.4747 runs/s, 60.7923 assertions/s.

45 runs, 73 assertions, 1 failures, 0 errors, 0 skips

 I think that because the fixtures not enough.

diff --git a/test/unit/lib/redmine/wiki_formatting/macros_test.rb b/test/unit/lib/redmine/wiki_for

matting/macros_test.rb

index 208c0157a..ceda727c8 100644

--- a/test/unit/lib/redmine/wiki_formatting/macros_test.rb

+++ b/test/unit/lib/redmine/wiki_formatting/macros_test.rb

@@ -33,7 +33,7 @@ class Redmine::WikiFormatting::MacrosTest < Redmine::HelperTest

            :versions, :documents,

            :wikis, :wiki_pages, :wiki_contents,

            :boards, :messages,

-           :attachments

+           :attachments, :enumerations

   def setup

     super

Associated revisions

Revision 19071 - 2019-11-13 23:08 - Go MAEDA

Add missing fixture to Redmine::WikiFormatting::MacrosTest (#32444).

Patch by Yuichi HARADA.
Revision 19329 - 2019-12-03 07:11 - Go MAEDA

Merged r19071 from trunk to 4.1-stable (#32444, #29489).

History

#1 - 2019-11-13 14:34 - Go MAEDA

- Target version set to 4.2.0

Confirmed. Setting the target version to 4.2.0.

#2 - 2019-11-13 23:09 - Go MAEDA

- Subject changed from Add missing fixtures to Redmine::WikiFormatting::MacrosTest to Add missing fixture to Redmine::WikiFormatting::MacrosTest

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#3 - 2019-11-18 02:55 - Yuichi HARADA

- Copied to Patch #32478: Add missing fixture to TimelogControllerTest added

#4 - 2019-11-18 02:57 - Go MAEDA

- Copied to deleted (Patch #32478: Add missing fixture to TimelogControllerTest)

#5 - 2019-12-03 08:48 - Go MAEDA

- Target version deleted (4.2.0)

Cleared the target version because the fix is a part of #29489.
